cmake_minimum_required (VERSION 2.8)
project (swa)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMakeScripts)

find_package(Corpus2 1.0.12 REQUIRED)
include_directories(${Corpus2_INCLUDE_DIRS})
link_directories(${Corpus2_LIBRARY_DIR})
set(LIBS ${LIBS} ${Corpus2_LIBRARY})

link_directories(${Boost_LIBRARY_DIRS})
include_directories(${Boost_INCLUDE_DIR})
set(LIBS ${LIBS} ${Boost_LIBRARIES})

find_package(PwrUtils REQUIRED)
include_directories(${PwrUtils_INCLUDE_DIRS})
link_directories(${PwrUtils_LIBRARY_DIR})
set(LIBS ${LIBS} ${PwrUtils_LIBRARY})

find_package(MySql REQUIRED)
include_directories(${MYSQL_INCLUDE_DIRS})
link_directories(${MYSQL_LIBRARY_DIR})
set(LIBS ${LIBS} ${MYSQL_LIBRARY})

add_executable(swa main.cpp)
target_link_libraries(swa ${LIBS})
